Bug Hunting Session
Bug 112535 - FILESAVE: DOC: Image got distorted after RT
Summary: FILESAVE: DOC: Image got distorted after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOC
  Show dependency treegraph
 
Reported: 2017-09-20 21:11 UTC by Xisco Faulí
Modified: 2019-08-02 14:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
How it looks in LibreOffice 6.0 (136.76 KB, image/png)
2017-09-20 21:11 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-09-20 21:11:24 UTC
Created attachment 136409 [details]
How it looks in LibreOffice 6.0

Steps to reproduce:
1. Download attachment 94507 [details] from bug 75318
2. Execute: instdir/program/swriter --headless --convert-to doc <path-to-file> --outdir <out-dir>
3. Open the output file

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 8abc7ba9784f7898576fbdd7a48f0ff9e4445a68
CPU threads: 4; OS: Linux 4.10; UI render: GL; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-09-20 21:13:51 UTC
Reverting 628a0f313ed05db0149db680837c99267a77ea3c fixes the issue for me. However, I would like someone else to confirm it in another environment.
Comment 2 Aron Budea 2017-09-20 21:41:52 UTC
Reproduced using 6.0 daily build (2017-09-18_23:32:14, 7d5245848c28f5786258476cd7aa2a4523645de3) / Windows 7.
I managed it from the UI, somehow headless conversion wasn't working for me.
Comment 3 Xisco Faulí 2017-09-20 22:11:19 UTC
Actually I can reproduce it using the UI in safe mode:

Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2014-08-11 10:01:22 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-08-11 15:16:17 (GMT)
commit	628a0f313ed05db0149db680837c99267a77ea3c (patch)
tree	a87309d727fc1bc046800076456c8170c09375da
parent	cdf1300140f5878f83656d2eef0f0518126aec9d (diff)
DOCX drawingML import: handle SurroundContour shape property

Bisected with: bibisect-44max

Adding Cc: to Miklos Vajna
Comment 4 QA Administrators 2018-09-22 02:44:27 UTC Comment hidden (obsolete)
Comment 5 Roman Kuznetsov 2018-09-22 13:25:39 UTC
still repro in

Version: 6.1.1.2 (x64)
Build ID: 5d19a1bfa650b796764388cd8b33a5af1f5baa1b
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: ru-RU (ru_RU); Calc: CL
Comment 6 Commit Notification 2019-07-30 06:51:29 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/90928f23994d8fc1d9cc7edf95880782c8ca712a%5E%21

tdf#112535 DOC import: fix handling the have contour but no polygon case

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-08-02 14:41:11 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 620fff54ca9cd04459cc5d963ef94d4438129fe4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!
Comment 8 Commit Notification 2019-08-02 14:42:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/4927f0c98c4231cb126e6d2e958971dcf5aa5268%5E%21

tdf#112535 DOC import: fix handling the have contour but no polygon case

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.